/webHookCreate Web Hook
Create WebHook
Implementation Notes
This API enables you to set up a webhook endpoint to receive data. It uses the webhook to deliver rate data generated by your shop to the designated endpoint you specify. It is a one time setup post that the rates will be automatically sent to the endpoint at the scheduled date and time. The webhook supports different authentication types including basic and token-based.
Authentication types and its descriptions:
None:No authentication required. Users can access resources without providing any credentials.Basic:Username and password required. Users must provide their credentials for verification.Bearer:Token-based authentication. Users present a valid access token to access resources.Header:API key in header: API key is provided as a specific header value (e.g., "X-Api-Key").
This hook will POST the following JSON schema to your endpoint.
{ "shopId": 12904, "queueId": 22619, "dtCollected": "2026-05-29T10:02:19.306Z", "websiteCode": 2, "checkIn": "2026-05-31T00:00:00.000Z", "checkOut": "2026-06-01T00:00:00.000Z", "los": 1, "pos": 0, "guests": 1, "hotelId": 38107214525421, "hotelCode": 0, "hotelName": "Near To CCBC ESSEX Room 201", "sourceUrl": "https://www.booking.com/hotel/us/near-to-ccbc-essex-private-room-201.en-gb.html", "address": "33 Bernadotte Ct", "cityDistrict": "Parkville", "state": "Maryland", "country": "United States", "latitude": "39.4025228", "longitude": "-76.4847339", "currency": "USD", "isLAR": true, "propertyType": "Homestays", "roomType": "Double Room", "roomDescription": "bedrooms 0, Kitchen 0, beds 1, living room 0, bathroom 0", "roomAmenities": "", "mapLink": "https://www.booking.com/hotel/us/near-to-ccbc-essex-private-room-201.en-gb.html?map=1", "roomAvailable": "1", "roomLeft": "1", "reviewRating": 9, "reviewsCount": 1, "taxAmount": 0, "taxType": "Included", "taxStatus": 1, "mealPlan": "Breakfast included", "ratePlan": "FreeCancellation", "locationRating": 10, "promo": "", "ratingText": "Superb", "onsiteRate": 111.61, "netRate": 0, "discount": 0, "occupancy": 1, "paymentType": "Pay at the property", "rankingListingCount": 1, "navigationPage": 1, "newArrival": "", "distanceHotel": 5.5, "otherInformation": "", "statusCode": 200, "destId": "20058854", "otherRatings": { "htlRating": 0, "aptRating": 0, "dotsRating": 0 }, "ratingFlags": { "preferredPartner": false, "preferredPlus": false }, "destType": "CITY", "neighbourhood": "Parkville", "searchCity": "Parkville" }
/webHookParameter Details
| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Required | none |
» endpoint | body | Required | none | |
» authType | body | string | Required | none |
» userName | body | string | Optional | none |
» password | body | string | Optional | none |
» token | body | string | Optional | none |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | Webhook created successfully | |
| 400 | Bad Request | Bad Request | None |
| 401 | Unauthorized | Authentication Failed or Account validity Expired | None |
| 429 | Too Many Requests | Too Many Requests | None |
| 500 | Internal Server Error | Internal Server Error | None |
Example Request
# You can also use wget
curl -X POST /webHook \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
Example responses
{
"shopId": 12904,
"queueId": 22619,
"dtCollected": "2026-05-29T10:02:19.306Z",
"websiteCode": 2,
"checkIn": "2026-05-31T00:00:00.000Z",
"checkOut": "2026-06-01T00:00:00.000Z",
"los": 1,
"pos": 0,
"guests": 1,
"hotelId": 38107214525421,
"hotelCode": 0,
"hotelName": "Near To CCBC ESSEX Room 201",
"sourceUrl": "https://www.booking.com/hotel/us/near-to-ccbc-essex-private-room-201.en-gb.html",
"address": "33 Bernadotte Ct",
"cityDistrict": "Parkville",
"state": "Maryland",
"country": "United States",
"latitude": "39.4025228",
"longitude": "-76.4847339",
"currency": "USD",
"isLAR": true,
"propertyType": "Homestays",
"roomType": "Double Room",
"roomDescription": "bedrooms 0, Kitchen 0, beds 1, living room 0, bathroom 0",
"roomAmenities": "",
"mapLink": "https://www.booking.com/hotel/us/near-to-ccbc-essex-private-room-201.en-gb.html?map=1",
"roomAvailable": "1",
"roomLeft": "1",
"reviewRating": 9,
"reviewsCount": 1,
"taxAmount": 0,
"taxType": "Included",
"taxStatus": 1,
"mealPlan": "Breakfast included",
"ratePlan": "FreeCancellation",
"locationRating": 10,
"promo": "",
"ratingText": "Superb",
"onsiteRate": 111.61,
"netRate": 0,
"discount": 0,
"occupancy": 1,
"paymentType": "Pay at the property",
"rankingListingCount": 1,
"navigationPage": 1,
"newArrival": "",
"distanceHotel": 5.5,
"otherInformation": "",
"statusCode": 200,
"destId": "20058854",
"otherRatings": {
"htlRating": 0,
"aptRating": 0,
"dotsRating": 0
},
"ratingFlags": {
"preferredPartner": false,
"preferredPlus": false
},
"destType": "CITY",
"neighbourhood": "Parkville",
"searchCity": "Parkville"
}Body parameter
{
"endpoint": "https://sampleendpoint.com/webhook",
"authType": "basic",
"userName": "sampleuser",
"password": "testpassword",
"token": "********"
}
Example responses
{
"message": "Webhook Created Successfully"
}
Need Support?
Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.